Bug 46503 - Garbage characters in cluster domain field
Summary: Garbage characters in cluster domain field
Status: RESOLVED FIXED
Alias: None
Product: Tomcat Connectors
Classification: Unclassified
Component: mod_jk (show other bugs)
Version: 1.2.27
Hardware: Sun Solaris
: P2 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-09 07:35 UTC by Andrew Noonan
Modified: 2010-02-23 02:52 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Noonan 2009-01-09 07:35:10 UTC
We're running httpd 2.2.10 with mod_jk 1.2.27, and sometimes after restarts, the cluster domain field, which is unspecified in our configuration, contains garbage characters for a few workers.  This often causes the XML to become malformed, which for us is a particular problem as we parse the XML to provide status on our site.  The workers can be edited to remove these characters and the problem doesn't seem to return, but it worries me because that data had to come from somewhere... perhaps there's another problem happening because of an under/overflow into that field.
Comment 1 Emmit Morgan 2009-06-12 17:17:29 UTC
I see the same garbage characters on the jkstatus page in the domain and redirect columns with mod_jk 1.2.27 and 1.2.28. The issue did not occur with 1.2.26. I tested with a stripped down workers.properties file and the problem went away. The issue came back once the balance_workers line had 8 or more workers listed. I am using CentOS 5.3 with Apache 2.2.3. I also am having trouble parsing the xml file returned by jkstatus because of this issue.
Comment 2 Steffen 2009-10-13 02:11:17 UTC
I got the same problem on a apache 2.2.11 with mod_jk 1.2.28. I also tested with stripped configuration and I had no problem with less then 8 workers listed. But when using 8 workers I got garbage in domain and redirect field. After inserting the route attribute (with workerhostname as value) for every 8 worker, the problem disappears.
Comment 3 Christopher Schultz 2009-12-14 09:50:22 UTC
Please see http://markmail.org/message/i6m6ej4bzwnt5rc2 for another reported case of this issue.
Comment 4 Rainer Jung 2009-12-21 13:22:29 UTC
Mladen applied a fix in r892713. It will very likely fix the issue and will be part of 1.2.29.